Package org.apache.commons.collections4.functors

# Class IdentityPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<T>
org.apache.commons.collections4.functors.IdentityPredicate<T>

Type Parameters:
  `T` - The type of the input to the predicate.

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `Predicate<T>`

public final class IdentityPredicate<T> extends AbstractPredicate<T> implements Serializable
Predicate implementation that returns true if the input is the same object as the one stored in this predicate.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentityPredicate(T object)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getValue()`
  Gets the value.
  `static <T> Predicate<T>`
  `identityPredicate(T object)`
  Creates the identity predicate.
  `boolean`
  `test(T object)`
  Evaluates the predicate returning true if the input object is identical to the stored object.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Constructor Details

  - ### IdentityPredicate

    public IdentityPredicate(T object)
    Constructor that performs no validation. Use `identityPredicate` if you want that.
    Parameters:
      `object` - The object to compare to

- ## Method Details

  - ### identityPredicate

    public static <T> Predicate<T> identityPredicate(T object)
    Creates the identity predicate.
    Type Parameters:
      `T` - The type that the predicate queries
    Parameters:
      `object` - The object to compare to
    Returns:
      The predicate

  - ### getValue

    public T getValue()
    Gets the value.
    Returns:
      The value
    Since:
      3.1

  - ### test

    public boolean test(T object)
    Evaluates the predicate returning true if the input object is identical to the stored object.
    Specified by:
      `test` in interface `Predicate<T>`
    Specified by:
      `test` in interface `Predicate<T>`
    Parameters:
      `object` - The input object
    Returns:
      true if input is the same object as the stored value